<template>
  <div class="page">
    <div class="page-header">
      <p>王永炎院士学生目录</p>
    </div>
    <div class="page-main-title">
      <p @click="changeTab('chart')" :class="[activeTabs == 'chart' ? 'active-tab' : '']">
        <img src="../../assets/images/directory/chartIcon.png" alt="">
        <span>图表显示</span>
      </p>
      <p @click="changeTab('list')" :class="[activeTabs == 'list' ? 'active-tab' : '']">
        <img src="../../assets/images/directory/listIcon.png" alt="">
        <span>列表显示</span>
      </p>
    </div>
    <!-- 图表显示 -->
    <div class="charts-main" v-if="activeTabs == 'chart'">
      <!-- <div class="pageBox">
        <div class="main" v-loading="loading" element-loading-text="加载中..."
          element-loading-background="rgba(255,255,255,.5)">
          <div class="main-content">
            <div class="detailBox">
              <div class="legendBox">
                <div class="legendItem">
                  <div class="lengend-color"></div>
                  <div class="lengend-text">生</div>
                </div>
                <div class="legendItem">
                  <div class="lengend-color"></div>
                  <div class="lengend-text">旦</div>
                </div>
                <div class="legendItem">
                  <div class="lengend-color"></div>
                  <div class="lengend-text">净</div>
                </div>
                <div class="legendItem">
                  <div class="lengend-color"></div>
                  <div class="lengend-text">末</div>
                </div>
                <div class="legendItem">
                  <div class="lengend-color"></div>
                  <div class="lengend-text">丑</div>
                </div>
                <div class="legendItem">
                  <div class="lengend-color"></div>
                  <div class="lengend-text">未知</div>
                </div>
              </div>
              <div class="echartsBox">
                <div class="clickBox" id="clickBox">
                  <div class="clickBoxContent">
                    <div class="imgBox" style="width: 300px; height: 150px">
                      <img :src="detailData.img" />
                    </div>
                    <div class="title">{{ detailData.title }}</div>
                    <div class="subTitle">{{ detailData.subTitle }}</div>
                    <div class="desc">{{ detailData.desc }}</div>
                    <div class="btnBox">
                      <div @click="gotoDetail()" class="detailBtn">了解更多</div>
                      <img class="closeBtn" @click.stop="closeDetail()"
                        src="@/assets/images/chronology/icon_close.svg" />
                    </div>
                  </div>
                </div>
                <div class="echarts" style="width: 100%; height: 100%"></div>
              </div>
              <div class="toponymBox">
                <div class="imgBox" style="width: 280px; height: 280px">
                  <img :src="toponymData.img" />
                </div>
                <div class="">戏院：{{ toponymData.toponymName || "-" }}</div>
                <div class="">农历：{{ toponymData.chineseTime || "-" }}</div>
              </div>
            </div>
          </div>
        </div>
      </div> -->
    </div>
    <!-- 列表显示 -->
    <div class="page-main" v-if="activeTabs == 'list'">
      <div v-for="(item, index) in universityList" :key="index">
        <div class="table-title" v-if="item.studentList && item.studentList.length > 0">
          <div class="table-title-left">
            <p class="table-title-name">{{ item.name }}</p>
            <p class="table-title-degree">{{ item.degree }}</p>
            <p class="table-title-number">{{ item.studentList.length }}人</p>
          </div>
          <div class="table-title-right" @click="item.isShow = !item.isShow"><img
              src="../../assets/images/directory/topIcon.png" alt=""></div>
        </div>
        <table cellpadding="100" v-if="item.studentList && item.studentList.length > 0 && item.isShow">
          <tr class="table-heading">
            <th>
              姓名
            </th>
            <th>
              性别
            </th>
            <th>学习时间</th>
            <th>工作单位（到二级单位全称）</th>
            <th>职务</th>
            <th>职称</th>
          </tr>
          <tr v-for="(citem, cindex) in item.studentList" :key="cindex">
            <td>
              {{ citem.studentName }}
            </td>
            <td>
              {{ citem.gender }}
            </td>
            <td>{{ citem.studyTime }}</td>
            <td>{{ citem.workUnit }}</td>
            <td>{{ citem.position }}</td>
            <td>{{ citem.title }}</td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
import echarts from "@/assets/js/echarts.min.js";
export default {
  data() {
    return {
      activeTabs: "chart",
      universityList: [
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
          ]
        },
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
          ]
        },
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
          ]
        },
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
          ]
        },
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
          ]
        },
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
          ]
        },
        {
          name: "北京中医药大学",
          degree: "硕士",
          isShow: "true",
          studentList: [
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
            {
              studentName: "王玉来",
              gender: "男",
              studyTime: "1985.09-1988.07",
              workUnit: "北京中医药大学东方学院",
              position: "原院长",
              title: "主任医师、教授",
            },
          ]
        },
      ]
    }
  },

  methods: {
    changeTab(key) {
      this.activeTabs = key
      console.log(this.activeTabs, "activeTabs");
      // if (key == "chart") {

      // } else if (key == 'list') {

      // }
    }
  }
};
</script>

<style lang="less" scoped>
.page {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  background-color: #e9e1d4;
  overflow: auto;
}

.page-header {
  height: 102px;
  width: 100%;
  text-align: left;
  margin-bottom: 8px;
  border-bottom: 2px solid #937950;

  p {
    padding: 35px 0 34px 0;
    font-family: Alimama DongFangDaKai;
    font-size: 30px;
    text-indent: 1em;
    border-bottom: 1px solid #937950;
  }
}

.page-main-title {
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  margin-bottom: 75px;
  color: #9E9E9E;

  p {
    display: flex;
    align-items: center;
    padding: 15.5px 20px;
    border-bottom: 2px solid #9E9E9E;
  }

  img {
    width: 24px;
    height: auto;
    margin-right: 10px;
  }

  span {
    font-family: Source Han Sans;
    font-size: 24px;
    font-weight: bold;
  }
}

.active-tab {
  color: #937950 !important;
  border-bottom: 2px solid #937950 !important;
}



.page-main {
  width: 1313px;
  margin: 0 auto;
  overflow: hidden;
  margin-bottom: 100px;

  table {
    width: 100%;
    border-collapse: collapse;
  }

  tr {
    background-color: #fff;
    background-clip: padding-box;
    border-bottom: 2px solid transparent;
  }

  th {
    font-family: Source Han Serif CN;
    font-size: 14px;
    font-weight: bold;
    padding: 4px 41px;
  }

  td {
    font-family: Source Han Serif CN;
    font-size: 14px;
    padding: 6px 41px;
    text-align: center;
  }

  tr:last-child td {
    border-bottom: none;
    /* 移除最后一行的下边框 */
  }
}

.table-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 28px;
  background-color: #D8CBB6;
  margin-bottom: 4px;
  margin-top: 2px;


  .table-title-left {
    display: flex;
    align-items: center;
  }

  .table-title-name {
    width: 200px;
    overflow: hidden;
    font-family: Source Han Serif CN;
    font-size: 18px;
    font-weight: bold;
  }

  .table-title-degree {
    font-family: Source Han Serif CN;
    font-size: 14px;
    font-weight: bold;
    margin-right: 40px;
  }

  .table-title-number {
    font-family: Source Han Serif CN;
    font-size: 14px;
    font-weight: bold;
  }


  .table-title-right {
    cursor: pointer;
  }

  img {
    width: 20px;
    height: auto;
  }

}
</style>
